diff -c xc/config/cf/site.def:1.1.1.1 xc/config/cf/site.def:3.7
*** xc/config/cf/site.def:1.1.1.1	Mon Jan 30 17:29:26 1995
--- xc/config/cf/site.def	Mon Jan 30 17:29:27 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
+ XCOMM site:  $XFree86: xc/config/cf/site.def,v 3.7 1995/01/04 04:36:01 dawes Exp $
  
  /*****************************************************************************
   *                                                                           *
***************
*** 34,41 ****
  #ifdef BeforeVendorCF
  
  /*
  #include <host.def>
- */
  
  /*
  #ifndef HasGcc2
--- 35,48 ----
  #ifdef BeforeVendorCF
  
  /*
+  * Include this for easy XFree86 customisations
+  */
+ #ifndef SiteIConfigFiles
+ #define SiteIConfigFiles $(IRULESRC)/xf86site.def $(IRULESRC)/host.def
+ #endif
+ #include <xf86site.def>
+ 
  #include <host.def>
  
  /*
  #ifndef HasGcc2
***************
*** 47,53 ****
--- 54,62 ----
  
  #ifdef AfterVendorCF
  
+ #ifndef ProjectRoot
  #define ProjectRoot /usr/X11R6
+ #endif
  
  /* #define HasXdmAuth YES */
  
***************
*** 58,64 ****
  /*
  #if defined(SunArchitecture) && defined(SparcArchitecture)
  #define HasCodeCenter	YES
! #ifndef SVR4
  #define HasTestCenter	YES
  #endif
  #endif
--- 67,73 ----
  /*
  #if defined(SunArchitecture) && defined(SparcArchitecture)
  #define HasCodeCenter	YES
! #ifndef SVR4Architecture
  #define HasTestCenter	YES
  #endif
  #endif
***************
*** 71,77 ****
  */
  
  /*
! #if defined(SunArchitecture) && defined(SparcArchitecture) && !defined(SVR4)
  #define HasPurify	YES
  #endif
  */
--- 80,86 ----
  */
  
  /*
! #if defined(SunArchitecture) && defined(SparcArchitecture) && !defined(SVR4Architecture
  #define HasPurify	YES
  #endif
  */
diff -c xc/config/cf/sun.cf:1.1.1.6 xc/config/cf/sun.cf:3.17
*** xc/config/cf/sun.cf:1.1.1.6	Mon Jan 30 17:29:27 1995
--- xc/config/cf/sun.cf	Mon Jan 30 17:29:27 1995
***************
*** 1,11 ****
  XCOMM platform:  $XConsortium: sun.cf,v 1.139 95/01/12 15:30:26 kaleb Exp $
  
  #ifdef SVR4Architecture
  #ifdef i386Architecture
! #define OSName            SunOS 5.1 x86
  XCOMM operating system:  OSName
  #define OSMajorVersion    5
! #define OSMinorVersion    1
  #define OSTeenyVersion    0
  #else
  #define OSName            SunOS 5.3
--- 1,12 ----
  XCOMM platform:  $XConsortium: sun.cf,v 1.139 95/01/12 15:30:26 kaleb Exp $
+ XCOMM platform:  $XFree86: xc/config/cf/sun.cf,v 3.17 1995/01/28 15:40:31 dawes Exp $
  
  #ifdef SVR4Architecture
  #ifdef i386Architecture
! #define OSName            SunOS 5.4 x86
  XCOMM operating system:  OSName
  #define OSMajorVersion    5
! #define OSMinorVersion    4
  #define OSTeenyVersion    0
  #else
  #define OSName            SunOS 5.3
***************
*** 62,67 ****
--- 63,75 ----
   *
   */
  
+ #ifndef HasGcc2
+ #define HasGcc2 NO
+ #endif
+ #ifndef HasGcc
+ #define HasGcc HasGcc2
+ #endif
+ 
  #ifndef HasSunC
  #if (HasCenterLineC || HasGcc || HasGcc2 || OSMajorVersion < 5)
  #define HasSunC NO
***************
*** 133,145 ****
  #endif
  
  #ifdef i386Architecture
- #if OSMajorVersion > 4
  #define ServerExtraDefines AllocateLocalDefines XFree86ServerDefines
! #define ServerOSDefines    XFree86ServerOSDefines
! #else
! #define ServerExtraDefines AllocateLocalDefines
! #define ServerOSDefines   -DDDXOSINIT
! #endif
  #else
  #define ServerExtraDefines AllocateLocalDefines
  #define ServerOSDefines   -DDDXOSINIT
--- 141,148 ----
  #endif
  
  #ifdef i386Architecture
  #define ServerExtraDefines AllocateLocalDefines XFree86ServerDefines
! #define ServerOSDefines   XFree86ServerOSDefines
  #else
  #define ServerExtraDefines AllocateLocalDefines
  #define ServerOSDefines   -DDDXOSINIT
***************
*** 153,159 ****
  #ifdef i386Architecture
  #define StandardDefines	  -Dsun -Di386 -DSVR4 -D__i386
  #else
! #define StandardDefines	  -Dsun -DSVR4
  #endif
  #define ExtraLibraries    -lsocket -lnsl
  #if OSMinorVersion > 1
--- 156,162 ----
  #ifdef i386Architecture
  #define StandardDefines	  -Dsun -Di386 -DSVR4 -D__i386
  #else
! #define StandardDefines	  -Dsun -Dsparc -DSVR4
  #endif
  #define ExtraLibraries    -lsocket -lnsl
  #if OSMinorVersion > 1
***************
*** 162,175 ****
--- 165,182 ----
  #define ThreadsCompileFlags -mt
  #else
  #define SystemMTDefines -D_REENTRANT
+ #ifndef i386Architecture
  #define ThreadsLibraries -lthread
  #endif
+ #endif
  #if HasSunCplusplus && CplusplusCompilerMajorVersion > 3
  #define ThreadsCplusplusCompileFlags -mt
  #else
  #define CplusplusSystemMTDefines -D_REENTRANT
+ #ifndef i386Architecture
  #define ThreadsCplusplusLibraries -lthread
  #endif
+ #endif
  #endif 		/* OSMinorVersion > 1 */
  #define HasVFork          NO
  #define InstKmemFlags	  -g sys -m 2755
***************
*** 209,224 ****
  #define BuildPexExt	  (XsunServer || Xsun24Server)
  #endif
  #ifndef BuildXKB
  #define	BuildXKB	  YES
  #endif
  
  #if HasGcc
  #if OSMajorVersion > 4 && defined(i386Architecture)
  #ifndef DefaultCCOptions
! #if OSMinorVersion == 1
  #define DefaultCCOptions -DNO_ASM
  #else
! #define DefaultCCOptions -ansi -DNO_ASM
  #endif
  #endif
  #endif
--- 216,243 ----
  #define BuildPexExt	  (XsunServer || Xsun24Server)
  #endif
  #ifndef BuildXKB
+ #if !((OSMajorVersion > 4) && defined(i386Architecture))
  #define	BuildXKB	  YES
  #endif
+ #endif
+ 
+ #if (OSMajorVersion > 4) && defined(i386Architecture)
+ #ifndef HasSolx86ApertureDriver
+ #define HasSolx86ApertureDriver	NO
+ #endif
+ #endif
  
  #if HasGcc
  #if OSMajorVersion > 4 && defined(i386Architecture)
  #ifndef DefaultCCOptions
! #if UseInstalled
  #define DefaultCCOptions -DNO_ASM
  #else
! #if OSMinorVersion > 3
! #define DefaultCCOptions -ansi -pedantic -DNO_ASM
! #else
! #define DefaultCCOptions -DNO_ASM
! #endif
  #endif
  #endif
  #endif
***************
*** 252,257 ****
--- 271,281 ----
  #else	/* OSMajorVersion >= 5*/
  #ifndef DefaultCCOptions
  #define DefaultCCOptions -Xc
+ #endif
+ #ifdef i386Architecture
+ #ifndef ServerCCOptions
+ #define ServerCCOptions -Xt
+ #endif
  #endif
  #endif	
  #endif	
diff -c xc/config/cf/sunLib.tmpl:1.1.1.1 xc/config/cf/sunLib.tmpl:3.1
*** xc/config/cf/sunLib.tmpl:1.1.1.1	Mon Jan 30 17:29:28 1995
--- xc/config/cf/sunLib.tmpl	Mon Jan 30 17:29:28 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM $XConsortium: sunLib.tmpl,v 1.36 94/04/08 19:13:50 rws Exp $
+ XCOMM $XFree86: xc/config/cf/sunLib.tmpl,v 3.1 1995/01/08 08:13:57 dawes Exp $
  
  /*
   * SunOS shared library template
***************
*** 38,44 ****
--- 39,47 ----
  #else				/* else it's Solaris */
  
  #if ThreadedX
+ #ifndef i386Architecture
  #define SharedX11Reqs -lthread
+ #endif
  #endif
  #define SharedXmuReqs $(LDPRELIB) $(XTOOLLIB) $(XLIB)
  #define FixupLibReferences() /**/
diff -c /dev/null xc/config/cf/sv3Lib.rules:3.0
*** /dev/null	Mon Jan 30 17:29:29 1995
--- xc/config/cf/sv3Lib.rules	Mon Jan 30 17:29:30 1995
***************
*** 0 ****
--- 1,228 ----
+ XCOMM $XFree86: xc/config/cf/sv3Lib.rules,v 3.0 1994/05/21 23:39:31 dawes Exp $
+ /*
+  * SVR3 shared library rules
+  * Copyright (c) 1992, 1993 by Thomas Wolfram, Berlin, Germany
+  * Author: Thomas Wolfram, thomas@aeon.in-berlin.de, wolf@prz.tu-berlin.de
+  * Conception derived partially from work of Thomas Roell
+  */
+ 
+ #ifndef HasSharedLibraries
+ #define HasSharedLibraries NO		/* JUST FOR NOW */
+ #endif
+ #ifndef ForceNormalLib
+ #define ForceNormalLib YES
+ #endif
+ 
+ #ifndef SharedLibSM
+ #define SharedLibSM HasSharedLibraries
+ #endif
+ #ifndef SharedLibXau
+ #define SharedLibXau HasSharedLibraries
+ #endif
+ #ifndef SharedLibXdmcp
+ #define SharedLibXdmcp HasSharedLibraries
+ #endif
+ #ifndef SharedLibXi
+ #define SharedLibXi HasSharedLibraries
+ #endif
+ #ifndef SharedLibXie
+ #define SharedLibXie HasSharedLibraries
+ #endif
+ #ifndef SharedLibXtst
+ #define SharedLibXtst HasSharedLibraries
+ #endif
+ #ifndef SharedLibPhigs
+ #define SharedLibPhigs HasSharedLibraries
+ #endif
+ #ifndef SharedLibICE
+ #define SharedLibICE HasSharedLibraries
+ #endif
+ #ifndef SharedLibFS
+ #define SharedLibFS HasSharedLibraries
+ #endif
+ #ifndef SharedLibX11
+ #define SharedLibX11 HasSharedLibraries
+ #endif
+ #ifndef SharedOldX
+ #define SharedOldX NO		/* it's obsolete */
+ #endif
+ #ifndef SharedLibXt
+ #define SharedLibXt HasSharedLibraries
+ #endif
+ #ifndef SharedLibXaw
+ #define SharedLibXaw HasSharedLibraries
+ #endif
+ #ifndef SharedLibXmu
+ #define SharedLibXmu HasSharedLibraries
+ #endif
+ #ifndef SharedLibXext
+ #define SharedLibXext HasSharedLibraries
+ #endif
+ #ifndef SharedLibPex
+ #define SharedLibPex NO
+ #endif
+ 
+ #ifndef SharedDataSeparation
+ #define SharedDataSeparation NO
+ #endif
+ #ifndef SharedCodeDef
+ #define SharedCodeDef /**/
+ #endif
+ #ifndef SharedLibraryDef
+ #define SharedLibraryDef -DSVR3SHLIB
+ #endif
+ #ifndef ShLibIncludeFile
+ #define ShLibIncludeFile <sv3Lib.tmpl>
+ #endif
+ #ifndef SharedLibraryLoadFlags
+ #define SharedLibraryLoadFlags -q
+ #endif
+ 
+ #ifndef PositionIndependentCFlags
+ # if HasGcc2
+ #  define PositionIndependentCFlags -msvr3-shlib  
+ # else
+ #  define PositionIndependentCFlags /**/
+ # endif
+ #endif
+ 
+ #ifndef PositionIndependentCplusplusFlags
+ # if HasGcc2
+ #  define PositionIndependentCplusplusFlags -msvr3-shlib  
+ # else
+ #  define PositionIndependentCplusplusFlags /**/
+ # endif
+ #endif
+ 
+ #if 0
+ /*
+  * LibCleanDir - helper for cleaning library object subdirectories
+  */
+ #ifndef LibCleanDir
+ #define LibCleanDir(dir) -@if [ -d dir ]; then \                           @@\
+                 (set -x; cd dir; $(RM) *.o *.sd); else exit 0; fi
+ #endif
+ 
+ /*
+  * SharedLibObjCompile - compile fragment for shared objects
+  */
+ #ifndef SharedLibObjCompile
+ #define SharedLibObjCompile(options) $(RM) shared/$@ 	                   @@\
+ 	cat import.h $*.c >_$*.c                                           @@\
+         $(CC) -c $(ANSICCOPTIONS) $(CCOPTIONS) $(ALLDEFINES) options \     @@\
+ $(SHLIBDEF) $(SHAREDCODEDEF) $(PICFLAGS) $(CDEBUGFLAGS) _$*.c              @@\
+ 	$(MV) _$*.o shared/$@                                              @@\
+ 	$(RM) _$*.c
+ #endif
+ 
+ /*
+  * NormalSharedLibObjCompile - compile fragment for shared object when
+  * a normal library is not being built
+  */
+ #ifndef NormalSharedLibObjCompile
+ #define NormalSharedLibObjCompile(options) $(RM) $@                        @@\
+ 	cat import.h $*.c >_$*.c                                           @@\
+         $(CC) -c $(CFLAGS) options $(SHLIBDEF) $(SHAREDCODEDEF) $(PICFLAGS) _$*.c @@\
+ 	$(MV) _$*.o $@                                                     @@\
+ 	$(RM) _$*.c
+ #endif
+ 
+ 
+ #ifndef LibraryObjectRule
+ #define LibraryObjectRule()                                             @@\
+ all::                                                                   @@\
+         _DebuggedLibMkdir()                                             @@\
+         _ProfiledLibMkdir()                                             @@\
+         _SharedLibMkdir()                                               @@\
+                                                                         @@\
+ includes::                                                              @@\
+         _DebuggedLibMkdir()                                             @@\
+         _ProfiledLibMkdir()                                             @@\
+         _SharedLibMkdir()                                               @@\
+                                                                         @@\
+ .c.o:                                                                   @@\
+         _DebuggedObjCompile($(_NOOP_))                                  @@\
+         _ProfiledObjCompile($(_NOOP_))                                  @@\
+         _SharedObjCompile($(_NOOP_))                                    @@\
+         _NormalObjCompile($(_NOOP_))                                    @@\
+                                                                         @@\
+ .SUFFIXES: .sd                                                          @@\
+ .c.sd:                                                                  @@\
+         _SharedDatCompile(-DSVR3SHDAT)                                  @@\
+                                                                         @@\
+ clean::                                                                 @@\
+         _DebuggedCleanDir()                                             @@\
+         _ProfiledCleanDir()                                             @@\
+         _SharedCleanDir()                                               @@\
+ 
+ #endif /* LibraryObjectRule */
+ 
+ 
+ /*
+  * InstallSharedLibrary - generate rules to install the shared library.
+  */
+ #ifndef InstallSharedLibrary
+ #if StripInstalledPrograms
+ #define	InstallSharedLibrary(libname,rev,dest)				@@\
+ install:: Concat(lib,libname.rev) 					@@\
+ 	MakeDir($(DESTDIR)dest)						@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) Concat3(lib,libname,_s.a) $(DESTDIR)dest @@\
+ 	MakeDir($(DESTDIR)$(LIBDIR)/shlib)                              @@\
+         $(INSTALL) -c $(INSTPGMFLAGS) Concat(lib,libname.rev) \         @@\
+ 	$(DESTDIR)$(LIBDIR)/shlib                                       @@\
+ 	strip Concat($(DESTDIR)$(LIBDIR)/shlib/lib,libname.rev)         @@\
+ 	mcs -d Concat($(DESTDIR)$(LIBDIR)/shlib/lib,libname.rev)
+ #else
+ #define	InstallSharedLibrary(libname,rev,dest)				@@\
+ install:: Concat(lib,libname.rev) 					@@\
+ 	MakeDir($(DESTDIR)dest)						@@\
+ 	$(INSTALL) -c $(INSTLIBFLAGS) Concat3(lib,libname,_s.a) $(DESTDIR)dest @@\
+ 	MakeDir($(DESTDIR)$(LIBDIR)/shlib)                              @@\
+         $(INSTALL) -c $(INSTPGMFLAGS) Concat(lib,libname.rev) \         @@\
+ 	$(DESTDIR)$(LIBDIR)/shlib
+ #endif
+ 
+ #endif /* InstallSharedLibrary */
+ 
+ /*
+  * InstallSharedLibraryData - generate rules to install the shared library data
+  */
+ #ifndef InstallSharedLibraryData
+ #define	InstallSharedLibraryData(libname,rev,dest)
+ #endif /* InstallSharedLibraryData */
+ 
+ 
+ /*
+  * SharedLibraryTarget - generate rules to create a shared library;
+  * build it into a different name so that we do not hose people by having
+  * the library gone for long periods.
+  */
+ #ifndef SharedLibraryTarget
+ #define SharedLibraryTarget(libname,rev,solist,down,up)			@@\
+ AllTarget(Concat(lib,libname.rev))					@@\
+ 									@@\
+ Concat(lib,libname.rev):  solist					@@\
+ 	$(RM) $@ Concat3(lib,libname,_s.a)				@@\
+         $(CPP) -DDOWN=down ConnectionFlags ShlibDefines Concat(lib,libname.def) | \ @@\
+         sed -e '/^#  *[0-9][0-9]*  *.*$$/d; /^$$/d' >spec.cpp           @@\
+         sed -e '1,/#libraries/d; /#externals/,$$d' spec.cpp | \         @@\
+         nawk '{ system("ar x " $$1 " " $$2 )}'                          @@\
+         echo "#target " Concat($(LIBDIR)/shlib/lib,libname.rev) >spec   @@\
+         sed -e '/#libraries/,$$d' spec.cpp >>spec                             @@\
+         mkshlib -s spec -t $@ -h Concat3(lib,libname,_s.a) $(SHLIBLDFLAGS)    @@\
+         ar rulv Concat3(lib,libname,_s.a) `sed -e '1,/#externals/d' spec.cpp` @@\
+         $(RM) spec.cpp spec                                             @@\
+ 									@@\
+ clean::									@@\
+ 	$(RM) Concat(lib,libname.rev) Concat3(lib,libname,_s.a)
+ 
+ #endif /* SharedLibraryTarget */
+ 
+ /*
+  * SharedLibraryDataTarget - generate rules to create shlib data file;
+  */
+ #ifndef SharedLibraryDataTarget
+ #define SharedLibraryDataTarget(libname,rev,salist)
+ #endif /* SharedLibraryTarget */
+ 
+ #endif
diff -c /dev/null xc/config/cf/sv3Lib.tmpl:3.0
*** /dev/null	Mon Jan 30 17:29:30 1995
--- xc/config/cf/sv3Lib.tmpl	Mon Jan 30 17:29:30 1995
***************
*** 0 ****
--- 1,73 ----
+ XCOMM $XFree86: xc/config/cf/sv3Lib.tmpl,v 3.0 1994/05/21 23:39:32 dawes Exp $
+ /*
+  * SVR3 shared library template
+  * Copyright (c) 1992, 1993 by Thomas Wolfram, Berlin, Germany
+  * Author: Thomas Wolfram, thomas@aeon.in-berlin.de, wolf@prz.tu-berlin.de
+  * Conception derived partially from work of Thomas Roell
+  */
+ 
+ #ifndef SharedXlibRev
+ #define SharedXlibRev 6.0.0
+ #endif
+ #ifndef SharedOldXRev
+ #define SharedOldXRev 6.0
+ #endif
+ #ifndef SharedXtRev
+ #define SharedXtRev 6.0
+ #endif
+ #ifndef SharedXawRev
+ #define SharedXawRev 6.0
+ #endif
+ #ifndef SharedXmuRev
+ #define SharedXmuRev 6.0
+ #endif
+ #ifndef SharedXextRev
+ #define SharedXextRev 6.0
+ #endif
+ #ifndef SharedXinputRev
+ #define SharedXinputRev 6.0
+ #endif
+ #ifndef SharedPexRev
+ #define SharedPexRev 1.0
+ #endif
+ 
+      SHLIBLDFLAGS = SharedLibraryLoadFlags
+          PICFLAGS = PositionIndependentCFlags
+ 
+ /*
+  * and now a little bit of magic for using imake without source tree; if we
+  * are using shared libraries, we really do not need to depend on anything
+  */
+ #if SharedLibXext
+   DEPEXTENSIONLIB = _UseCat($(USRLIBDIR),$(EXTENSIONSRC)/lib,/libXext_s.a)
+      EXTENSIONLIB = LoaderLibPrefix _Use(-lXext_s, $(DEPEXTENSIONLIB))
+ #endif
+ #if SharedLibX
+           DEPXLIB = $(DEPEXTENSIONLIB) _UseCat($(USRLIBDIR),$(XLIBSRC),/libX11_s.a)
+              XLIB = $(EXTENSIONLIB) LoaderLibPrefix _Use(-lX11_s,$(XLIBSRC)/libX11_s.a)
+ #endif
+ #if SharedLibXmu
+         DEPXMULIB = _UseCat($(USRLIBDIR),$(XMUSRC),/libXmu_s.a)
+            XMULIB = LoaderLibPrefix _Use(-lXmu_s,$(DEPXMULIB))
+ #endif
+ #if SharedOldLibX
+        DEPOLDXLIB = _UseCat($(USRLIBDIR),$(OLDXLIBSRC),/liboldX_s.a)
+           OLDXLIB = LoaderLibPrefix _Use(-loldX_s,$(DEPOLDXLIB))
+ #endif
+ #if SharedLibXt
+       DEPXTOOLLIB = _UseCat($(USRLIBDIR),$(TOOLKITSRC),/libXt_s.a)
+          XTOOLLIB = LoaderLibPrefix _Use(-lXt_s,$(DEPXTOOLLIB))
+ #endif
+ #if SharedLibXaw
+         DEPXAWLIB = _UseCat($(USRLIBDIR),$(AWIDGETSRC),/libXaw_s.a)
+            XAWLIB = LoaderLibPrefix _Use(-lXaw_s,$(DEPXAWLIB))
+ #endif
+ #if SharedLibXinput
+          DEPXILIB = _UseCat($(USRLIBDIR),$(XILIBSRC),/libXi_s.a)
+             XILIB = LoaderLibPrefix _Use(-lXi_s,$(DEPXILIB))
+ #endif
+ #if SharedLibPhigs
+       DEPPHIGSLIB = _UseCat($(USRLIBDIR),$(PHIGSLIBSRC),/libphigs_s.a)
+          PHIGSLIB = LoaderLibPrefix _Use(-lphigs_s,$(DEPPHIGSLIB))
+ #endif
+ 
diff -c xc/config/cf/sv4Lib.rules:1.1.1.1 xc/config/cf/sv4Lib.rules:3.0
*** xc/config/cf/sv4Lib.rules:1.1.1.1	Mon Jan 30 17:29:31 1995
--- xc/config/cf/sv4Lib.rules	Mon Jan 30 17:29:31 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM $XConsortium: sv4Lib.rules,v 1.14 94/04/09 12:00:10 rws Exp $
+ XCOMM $XFree86: xc/config/cf/sv4Lib.rules,v 3.0 1994/06/05 13:39:10 dawes Exp $
  
  /*
   * SVR4 shared library rules
***************
*** 41,53 ****
   * InstallSharedLibrary - generate rules to install the shared library.
   */
  #ifndef InstallSharedLibrary
  #define	InstallSharedLibrary(libname,rev,dest)				@@\
  install:: Concat(lib,libname.so.rev) 					@@\
  	MakeDir($(DESTDIR)dest)						@@\
  	$(INSTALL) $(INSTALLFLAGS) $(INSTLIBFLAGS) Concat(lib,libname.so.rev) $(DESTDIR)dest @@\
  	$(RM) Concat($(DESTDIR)dest/lib,libname.so)			@@\
  	$(LN) Concat(lib,libname.so.rev) Concat($(DESTDIR)dest/lib,libname.so)
! 
  #endif /* InstallSharedLibrary */
  
  /*
--- 42,63 ----
   * InstallSharedLibrary - generate rules to install the shared library.
   */
  #ifndef InstallSharedLibrary
+ #if StripInstalledPrograms
  #define	InstallSharedLibrary(libname,rev,dest)				@@\
  install:: Concat(lib,libname.so.rev) 					@@\
  	MakeDir($(DESTDIR)dest)						@@\
  	$(INSTALL) $(INSTALLFLAGS) $(INSTLIBFLAGS) Concat(lib,libname.so.rev) $(DESTDIR)dest @@\
+ 	mcs -d Concat($(DESTDIR)dest/lib,libname.so.rev)		@@\
  	$(RM) Concat($(DESTDIR)dest/lib,libname.so)			@@\
  	$(LN) Concat(lib,libname.so.rev) Concat($(DESTDIR)dest/lib,libname.so)
! #else
! #define	InstallSharedLibrary(libname,rev,dest)				@@\
! install:: Concat(lib,libname.so.rev) 					@@\
! 	MakeDir($(DESTDIR)dest)						@@\
! 	$(INSTALL) $(INSTALLFLAGS) $(INSTLIBFLAGS) Concat(lib,libname.so.rev) $(DESTDIR)dest @@\
! 	$(RM) Concat($(DESTDIR)dest/lib,libname.so)			@@\
! 	$(LN) Concat(lib,libname.so.rev) Concat($(DESTDIR)dest/lib,libname.so)
! #endif
  #endif /* InstallSharedLibrary */
  
  /*
diff -c /dev/null xc/config/cf/svr3.cf:3.6
*** /dev/null	Mon Jan 30 17:29:31 1995
--- xc/config/cf/svr3.cf	Mon Jan 30 17:29:32 1995
***************
*** 0 ****
--- 1,323 ----
+ XCOMM $XFree86: xc/config/cf/svr3.cf,v 3.6 1994/12/11 10:48:18 dawes Exp $
+ 
+ #ifndef HasGcc
+ #define HasGcc      YES
+ #endif
+ #ifndef HasGcc2
+ #define HasGcc2     YES
+ #endif
+ #ifndef GccUsesGas
+ #define GccUsesGas  NO
+ #endif
+ #ifndef UseGas
+ #define UseGas      NO
+ #endif
+ #ifndef GnuCpp
+ #define GnuCpp      NO
+ #endif
+ 
+ #ifndef Gcc2MOption
+ # if HasGcc2
+ #  define Gcc2MOption -m486
+ # else
+ #  define Gcc2MOption /* */
+ # endif
+ #endif
+ 
+ #ifndef HasShadowPasswd
+ # define HasShadowPasswd	YES
+ #endif
+ 
+ #ifndef HasLibCrypt
+ # define HasLibCrypt		NO
+ #endif
+ 
+ #ifndef HasSVR3mmapDrv
+ # define HasSVR3mmapDrv		NO
+ #endif
+ 
+ #if HasSVR3mmapDrv
+ # define SVR3mmapFlags		-DHAS_SVR3_MMAPDRV
+ #else
+ # define SVR3mmapFlags 		/**/
+ #endif
+ 
+ #ifndef HasSockets
+ # define HasSockets		YES
+ #endif
+ 
+ #ifndef XmanSearchPath
+ #define XmanSearchPath		/usr/man
+ #endif
+ 
+ /*
+  *	Most SVR3 do not have symbolic links, only some of the newer ones
+  */
+ #ifndef HasSymLinks
+ # define HasSymLinks NO
+ #endif
+ 
+ #ifndef StripInstalledPrograms
+ # define StripInstalledPrograms	YES
+ #endif
+ 
+ #ifndef MotifBC
+ # define MotifBC	       	YES
+ #endif
+ 
+ #ifndef CompressAllFonts
+ # define CompressAllFonts	YES
+ #endif
+ 
+ /*
+  * A default OS name
+  */
+ #ifndef OSName
+ #ifdef i386Architecture
+ #define	OSName	UNIX System V/386 Release 3
+ #else
+ #define	OSName	UNIX System V Release 3
+ #endif
+ #endif
+ #ifndef OSVendor
+ #define OSVendor /**/
+ #endif
+ 
+ /*
+  * The default version will be 3.0.0 which should be
+  * the least common denominator of all SVR3
+  */
+ 
+ #ifndef OSMajorVersion
+ #define	OSMajorVersion	3
+ #endif
+ #ifndef OSMinorVersion
+ #define	OSMinorVersion	0
+ #endif
+ #ifndef OSTeenyVersion
+ #define	OSTeenyVersion	0
+ #endif
+ #ifndef BootstrapCFlags
+ #ifdef SYSV386
+ #define BootstrapCFlags         -DSYSV -DSYSV386
+ #else
+ #define BootstrapCFlags         -DSYSV
+ #endif
+ #endif
+ 
+ /* Some stuff that all SYSV's should have */
+ 
+ #define SystemV	YES
+ 
+ #ifndef NeedBerklib
+ #define NeedBerklib	YES
+ #endif
+ #ifndef HasPoll
+ #define HasPoll		YES
+ #endif
+ #ifndef SVR3Architecture
+ #define SVR3Architecture
+ #endif
+ #ifndef PatheticCpp
+ #define PatheticCpp	YES
+ #endif
+ 
+ #ifndef StandardDefines
+ #ifdef i386Architecture
+ #define StandardDefines		-DSYSV OSDefines -Di386
+ #else
+ #define StandardDefines		-DSYSV OSDefines
+ #endif
+ #endif
+ 
+ #ifndef ServerOSDefines
+ # ifdef i386Architecture
+ #  define ServerOSDefines -DDDXTIME XFree86ServerOSDefines -DPART_NET
+ # else
+ #  define ServerOSDefines -DDDXTIME
+ # endif
+ #endif
+ 
+ #ifndef XawI18nDefines
+ # define XawI18nDefines          -DUSE_XWCHAR_STRING
+ #endif
+ 
+ #ifndef DefaultCDebugFlags
+ # if HasGcc2
+ #  define DefaultCDebugFlags -O2
+ # else
+ #  define DefaultCDebugFlags -O
+ # endif
+ #endif
+ 
+ #ifndef LdCombineFlags
+ #define LdCombineFlags	-r
+ #endif
+ 
+ #if HasGcc
+ # if HasGcc2
+ #  define DefaultCCOptions Gcc2MOption -DNO_ASM -fpcc-struct-return \
+ 			   -fwritable-strings
+ #  define LibraryCCOptions Gcc2MOption -DNO_ASM -fpcc-struct-return
+ #  define OptimizedCDebugFlags -O2
+ # else
+ #  define DefaultCCOptions -DNO_ASM -fpcc-struct-return -fwritable-strings
+ #  define LibraryCCOptions -DNO_ASM -fpcc-struct-return
+ #  define OptimizedCDebugFlags -O -fstrength-reduce
+ # endif
+ # define ShlibDefines -D__GNUC__ $(XDMAUTHDEFS)
+ #else
+ # define ShlibDefines $(XDMAUTHDEFS)
+ #endif
+ 
+ #ifndef Malloc0ReturnsNull
+ #define Malloc0ReturnsNull	YES
+ #endif
+ 
+ #ifndef SocketLibraries
+ # define SocketLibraries /**/
+ #endif
+ #ifndef LocalLibraries
+ # define LocalLibraries /**/
+ #endif
+ #ifndef ExtraLibraries
+ # if HasSockets
+ #  define ExtraLibraries SocketLibraries LocalLibraries
+ # else
+ #  define ExtraLibraries LocalLibraries
+ # endif
+ #endif
+ 
+ #if RemoveDSDENroffMacros
+ # define RemoveDSDENroffMacrosCmd sed -e '/^\.D[S|E]$$/d' 
+ #else
+ # define RemoveDSDENroffMacrosCmd cat
+ #endif
+ 
+ #ifndef ConnectionFlags
+ # define ConnectionFlags	-DUNIXCONN -DLOCALCONN -DTCPCONN
+ #endif
+ 
+ #ifndef FormattedManPages
+ # define FormattedManPages	YES
+ #endif
+ 
+ #ifndef ManSuffix
+ # define ManSuffix               1x
+ # define ManDir			$(MANSOURCEPATH)1
+ #endif
+ #ifndef LibManSuffix
+ # define LibManSuffix            3x
+ # define LibmanDir		$(MANSOURCEPATH)3
+ #endif
+ #ifndef FileManSuffix
+ # define FileManSuffix           4
+ #endif
+ 
+ /*
+  * Compress manual pages, default on ISC and SCO
+  */
+ #ifndef CompressManPages
+ # define CompressManPages        YES
+ #endif
+ 
+ /*
+  * The .DS and .DE macros used in some manual pages are obsolete
+  * in the often used ISC's Textprocessing Workbench 2.1.0 and break it,
+  * so it's better to remove these previously
+  */
+ #ifndef RemoveDSDENroffMacros
+ # define RemoveDSDENroffMacros   NO
+ #endif
+ 
+ #if RemoveDSDENroffMacros
+ # define RemoveDSDENroffMacrosCmd sed -e '/^\.D[S|E]$$/d' 
+ #else
+ # define RemoveDSDENroffMacrosCmd cat
+ #endif
+ 
+ #ifndef CompressManCmd
+ # define CompressManCmd @true
+ #endif
+ 
+      RMDSDEMACCMD = RemoveDSDENroffMacrosCmd
+    COMPRESSMANCMD = CompressManCmd
+ 
+ #if FormattedManPages
+ 
+ #ifndef InstallManPageLong
+ #define InstallManPageLong(file,destdir,dest)                           @@\
+ install.man:: file.man                                                  @@\
+         MakeDir($(DESTDIR)destdir)                                      @@\
+         $(RM) $(DESTDIR)destdir/dest.$(MANSUFFIX)*                      @@\
+         $(RMDSDEMACCMD) file.man | neqn | nroff -man >/tmp/file.man     @@\
+         $(INSTALL) -c $(INSTMANFLAGS) /tmp/file.man $(DESTDIR)destdir/dest.$(MANSUFFIX) @@\
+         -$(COMPRESSMANCMD) $(DESTDIR)destdir/dest.$(MANSUFFIX)          @@\
+         $(RM) /tmp/file.man
+ #endif
+ 
+ #ifndef InstallGenManPageLong
+ #define InstallGenManPageLong(file,destdir,dest,suffix)                 @@\
+ install.man:: file.man                                                  @@\
+         MakeDir($(DESTDIR)destdir)                                      @@\
+         $(RM) $(DESTDIR)destdir/dest.suffix*                            @@\
+         $(RMDSDEMACCMD) file.man | neqn | nroff -man >/tmp/file.man     @@\
+         $(INSTALL) -c $(INSTMANFLAGS) /tmp/file.man $(DESTDIR)destdir/dest.suffix @@\
+         -$(COMPRESSMANCMD) $(DESTDIR)destdir/dest.suffix                @@\
+         $(RM) /tmp/file.man
+ #endif
+ 
+ #ifndef InstallMultipleMan
+ #define InstallMultipleMan(list,dest)                                   @@\
+ install.man:: list                                                      @@\
+ 	MakeDir($(DESTDIR)dest)						@@\
+         @case '${MFLAGS}' in *[i]*) set +e;; esac; \                    @@\
+         for i in list; do \                                             @@\
+                 (set -x; \                                              @@\
+                 MNAME=`echo $$i | cut -f1 -d.`; \			@@\
+                 $(RM) $(DESTDIR)dest/$${MNAME}*; \                      @@\
+                 $(RMDSDEMACCMD) $$i | neqn | nroff -man >/tmp/$$i; \    @@\
+                 $(INSTALL) -c $(INSTMANFLAGS) /tmp/$$i $(DESTDIR)dest/$${MNAME}.$(MANSUFFIX); \      @@\
+                 $(COMPRESSMANCMD) $(DESTDIR)dest/$${MNAME}.$(MANSUFFIX); \  @@\
+                 $(RM) /tmp/$$i); \                                      @@\
+         done
+ #endif
+ 
+ /*
+  * InstallManPageAliases - generate rules to install manual page aliases.
+  * (Make hard links on SVR3.)
+  */
+ #ifndef InstallManPageAliases
+ #define InstallManPageAliases(file,destdir,aliases)                     @@\
+ install.man::                                                           @@\
+         @(SUFFIX=`echo $(DESTDIR)destdir/file.* | cut -f2,3 -d.`; \     @@\
+         for i in aliases; do (set -x; \                                 @@\
+         $(RM) $(DESTDIR)destdir/$$i.*; \                                @@\
+         (cd $(DESTDIR)destdir; $(LN) file.$${SUFFIX} \                  @@\
+         $$i.$${SUFFIX})); \                                             @@\
+         done)
+ #endif
+ 
+ #ifndef InstallGenManPageAliases
+ #define InstallGenManPageAliases(file,destdir,suffix,aliases)		@@\
+ 	InstallManPageAliases(file,destdir,aliases)
+ #endif
+ 
+ #endif /* FormattedManPages */
+ 
+ /* If you have trouble with make bombing out in Xlib, try uncommenting this. */
+ /* You will not get dependencies as a result, but better than nothing. */
+ #ifndef MakeHashTableBug
+ #define MakeHashTableBug        NO
+ #endif
+ 
+ #if MakeHashTableBug
+ #define DependTarget3(srcs1,srcs2,srcs3)
+ #endif
+ 
+ #include <sv3Lib.rules>
+ 
+ #ifdef i386Architecture
+ #include <xfree86.cf>
+ #endif
+ 
diff -c xc/config/cf/svr4.cf:1.1.1.2 xc/config/cf/svr4.cf:3.8
*** xc/config/cf/svr4.cf:1.1.1.2	Mon Jan 30 17:29:32 1995
--- xc/config/cf/svr4.cf	Mon Jan 30 17:29:32 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM $XConsortium: svr4.cf,v 1.11 95/01/25 16:32:39 kaleb Exp $
+ XCOMM $XFree86: xc/config/cf/svr4.cf,v 3.8 1995/01/28 15:40:33 dawes Exp $
  /*
   * A default OS name
   */
***************
*** 84,105 ****
  #endif
  #endif
  
  #ifdef i386Architecture
  #ifndef StandardDefines
  #define StandardDefines		-DSVR4 -Di386
  #endif
  #ifndef DefaultCCOptions
! #if HasGcc2
! #if !defined(SunArchitecture)
! #define DefaultCCOptions -ansi
! #endif
! #else
  #define DefaultCCOptions -Xc -Dasm=__asm
  #endif
  #endif
  #ifndef DefaultCDebugFlags
! #if HasGcc2
! #define DefaultCDebugFlags -O2
  #else
  #define DefaultCDebugFlags -O
  #endif
--- 85,109 ----
  #endif
  #endif
  
+ #ifndef HasGcc2
+ #define HasGcc2 NO
+ #endif
+ #ifndef HasGcc
+ #define HasGcc HasGcc2
+ #endif
+ 
  #ifdef i386Architecture
  #ifndef StandardDefines
  #define StandardDefines		-DSVR4 -Di386
  #endif
  #ifndef DefaultCCOptions
! #if !HasGcc
  #define DefaultCCOptions -Xc -Dasm=__asm
  #endif
  #endif
  #ifndef DefaultCDebugFlags
! #if HasGcc
! #define DefaultCDebugFlags -O2 -m486
  #else
  #define DefaultCDebugFlags -O
  #endif
diff -c xc/config/cf/usl.cf:1.1.1.2 xc/config/cf/usl.cf:3.5
*** xc/config/cf/usl.cf:1.1.1.2	Mon Jan 30 17:29:33 1995
--- xc/config/cf/usl.cf	Mon Jan 30 17:29:33 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM platform:  $XConsortium: usl.cf,v 1.35 95/01/12 15:37:24 kaleb Exp $
+ XCOMM platform:  $XFree86: xc/config/cf/usl.cf,v 3.5 1995/01/28 15:40:34 dawes Exp $
  
  #define OSName			UNIX System V/386 Release 4.2 Version 1.1.1
  XCOMM operating system:  OSName
diff -c xc/config/cf/xf86.rules:1.1.1.2 xc/config/cf/xf86.rules:3.7
*** xc/config/cf/xf86.rules:1.1.1.2	Mon Jan 30 17:29:34 1995
--- xc/config/cf/xf86.rules	Mon Jan 30 17:29:34 1995
***************
*** 1,4 ****
--- 1,5 ----
  XCOMM $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
+ XCOMM $XFree86: xc/config/cf/xf86.rules,v 3.7 1995/01/28 15:40:36 dawes Exp $
  
  /*
   * These rules are needed to build the Xfree86 X Servers
